
.box-container {
    border: 2px solid #000;
    border-radius: 20px;
    padding: 25px;
    background-color: #fff;
    margin-top: 20px;
}

.seguranca-grid {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 20px 0;
}

.box-drag {
    width: 150px;
    height: 100px;
    border: 2px solid #000;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
}

.destino {
    border-style: dashed;
}

.chave {
    font-size: 3rem;
    cursor: grab;
}

/* Layout Biométrico */
.wrapper-biometrico {
    display: flex;
    justify-content: space-between;
    gap: 15px;
    margin-top: 20px;
}

.bloco-vistoria {
    width: 48%;
    text-align: center;
}

.display-box {
    border: 2px solid #000;
    height: 220px;
    background: #f8f9fa;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-radius: 10px;
}

.canvas-comprovante,
.img-mapa {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.acesso {
    font-size: 1.1rem;
    color: #000 !important;
    background: #ffeb3b;
    padding: 10px;
    border-radius: 5px;
    font-weight: bold;
}


@media (max-width: 768px) {
    .wrapper-biometrico {
        flex-direction: column;
    }

    .bloco-vistoria {
        width: 100%;
        margin-bottom: 20px;
    }

    .btn {
        padding: 15px;
        font-size: 1.2rem;
        font-weight: bold;
        text-transform: uppercase;
    }

    .seguranca-grid {
        flex-direction: column;
        align-items: center;
    }

    .box-drag {
        width: 100%;
        max-width: 300px;
    }
}